stages:
    - prepare
    - build
    - test
    - deploy
    - update

variables:
    GIT_SUBMODULE_STRATEGY: normal


cellframe-node_stretch:
    stage: build
    only:
     - develop
     - master
     - /^release.*$/
     - /^bugfix.*$/
     - /^hotfix.*$/
     - /^feature.*$/
     - /^support.*$/
    tags:
     - cellframe-node
    script: ~/production-docker/integration/gitlab-CI/build_all_handler.sh cellframe-node stretch

cellframe-node_bullseye:
    stage: build
    only:
     - develop
     - master
     - /^release.*$/
     - /^bugfix.*$/
     - /^hotfix.*$/
     - /^feature.*$/
     - /^support.*$/
    tags:
     - cellframe-node
    script: ~/production-docker/integration/gitlab-CI/build_all_handler.sh cellframe-node bullseye

cellframe-dashboard_update:
    stage: update
    only:
     - master
    tags:
     - cellframe-node
    script: ~/production-docker/integration/gitlab-CI/update_dashboard.sh